## plasma-applet-redshift-control 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(KF5Plasma)

plasma_install_package(package org.kde.redshiftControl)

=== debian/changelog ===
plasma-applet-redshift-control (1.0.9-1) unstable; urgency=medium

  * New upstream release

 -- Didier Raboud <odyx@debian.org>  Wed, 16 Dec 2015 13:10:56 +0100

plasma-applet-redshift-control (1.0.8-1) unstable; urgency=medium

  * Initial upload
    - Base packaging off redshift-plasmoid
    - Source is GPL-2.0+

 -- Didier Raboud <odyx@debian.org>  Sat, 19 Sep 2015 17:09:50 +0200

=== debian/control ===
Source: plasma-applet-redshift-control
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               plasma-framework-dev,
Standards-Version: 3.9.6
Homepage: http://kde-apps.org/content/show.php/Redshift+Control?content=170746
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/plasma-applet-redshift-control.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/plasma-applet-redshift-control.git;a=summary

Package: plasma-applet-redshift-control
Architecture: all
Depends: redshift, fonts-font-awesome, ${misc:Depends}, ${shlibs:Depends}
Provides: redshift-plasmoid
Conflicts: redshift-plasmoid
Replaces: redshift-plasmoid
Description: Adjusts the color temperature of your screen
 Plasma applet to control the redshift process, providing simple settings
 and mouse-wheel manual screen temperature controlling.

## plasma-applet-redshift-control 1.0.17

=== debian/changelog ===
plasma-applet-redshift-control (1.0.17-1) unstable; urgency=medium

  * New upstream release
  * Bump S-V without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 28 Mar 2016 20:45:23 +0200

plasma-applet-redshift-control (1.0.14-1) unstable; urgency=medium

  * New upstream release

 -- Didier Raboud <odyx@debian.org>  Thu, 17 Mar 2016 11:12:50 +0100

plasma-applet-redshift-control (1.0.12-1) unstable; urgency=medium

  * New upstream release

 -- Didier Raboud <odyx@debian.org>  Fri, 19 Feb 2016 12:09:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 9),
                extra-cmake-modules,
                plasma-framework-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://kde-apps.org/content/show.php/Redshift+Control?content=170746
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/plasma-applet-redshift-control.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/plasma-applet-redshift-control.git;a=summary

## plasma-applet-redshift-control 1.0.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(QT_MIN_VERSION "5.4.0")
set(KF5_MIN_VERSION "5.0.0")

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

find_package(KF5Plasma)

add_subdirectory(translations)

plasma_install_package(package org.kde.redshiftControl)

=== translations/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

        SET(catalogname plasma_applet_org.kde.redshiftControl)

        FILE(GLOB PO_FILES po/*.po)
        SET(GMO_FILES)
        
        ADD_CUSTOM_TARGET(translations ALL DEPENDS ${GMO_FILES})

        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )

                IF( _langCode )
                        STRING(REGEX REPLACE "\\.po$" "" _lang ${_poFileName} )
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                        LIST(APPEND GMO_FILES ${_gmoFile})
                ENDIF( _langCode )

        ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== debian/changelog ===
plasma-applet-redshift-control (1.0.18-2) unstable; urgency=medium

  * Team upload.
  * Replace the transitional plasma-framework-dev build dependency with
    libkf5plasma-dev.
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Feb 2018 07:16:23 +0100

plasma-applet-redshift-control (1.0.18-1) unstable; urgency=medium

  * New upstream release (1.0.18).
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update vcs fields
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 12 Jul 2017 20:29:02 +0200

=== debian/control ===
Source: plasma-applet-redshift-control
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.11~),
               libkf5plasma-dev,
Standards-Version: 4.1.3
Homepage: http://kde-apps.org/content/show.php/Redshift+Control?content=170746
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/plasma-applet-redshift-control.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/plasma-applet-redshift-control.git

Package: plasma-applet-redshift-control
Architecture: all
Depends: fonts-font-awesome, redshift, ${misc:Depends}, ${shlibs:Depends}
Provides: redshift-plasmoid
Conflicts: redshift-plasmoid
Replaces: redshift-plasmoid
Description: Adjusts the color temperature of your screen
 Plasma applet to control the redshift process, providing simple settings
 and mouse-wheel manual screen temperature controlling.

## plasma-applet-redshift-control 1.0.18%2Bphabricator~2019080100

=== debian/changelog ===
plasma-applet-redshift-control (1.0.18+phabricator~2019080100-1) unstable; urgency=medium

  * Upstream snapshot from new upstream repository
  * Import upstream-submitted patch to fix manual mode for redshift
    >= 1.12 (Closes: #910901)
  * Bump debhelper from old 9 to 12.
  * Drop unnecessary dh arguments: --parallel
  * Update Vcs-{Git,Browser} to Salsa
  * Bump Standards-Version to 4.4 without changes needed

 -- Didier Raboud <odyx@debian.org>  Sat, 28 Sep 2019 15:06:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
                extra-cmake-modules (>= 0.0.11~),
                libkf5plasma-dev,
-Standards-Version: 4.1.3
+               debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Homepage: http://kde-apps.org/content/show.php/Redshift+Control?content=170746
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/plasma-applet-redshift-control.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/plasma-applet-redshift-control.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-applet-redshift-control.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-applet-redshift-control
 
 Package: plasma-applet-redshift-control
 Architecture: all

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/plasma-applet-redshift-control-$1\.tar\.gz/ \
  https://github.com/kotelnik/plasma-applet-redshift-control/tags .*/v?(\d\S*)\.tar\.gz

## plasma-applet-redshift-control 1.0.18+phabricator~2019080100

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,4 @@
 
 find_package(KF5Plasma)
 
-add_subdirectory(translations)
-
 plasma_install_package(package org.kde.redshiftControl)
